@font-face {
  font-family: cinzelbold;
  src: url(fonts/Cinzel/static/Cinzel-Bold.ttf);
  font-weight: bold;
}

@font-face {
  font-family: cinzelregular;
  src: url(fonts/Cinzel/static/Cinzel-Regular.ttf);
}

@font-face {
  font-family: presstartfont;
  src: url(fonts/Press_Start_2P/PressStart2P-Regular.ttf);
  font-weight: bold;
}

#header{
    display: block;
    margin-left: auto;
    margin-right: auto;
    min-width: 20rem;
    width: 40%;
    max-width: 30rem;
}

#mono{
    text-align: center;
    size: 25rem;
    font-family: cinzelbold;
}

#registerform{
    text-align: center;
    font-family: cinzelregular;
    border-style: solid;
    padding: 2.5rem;
    border-radius: 1rem;
    max-width: 45rem;
    margin: auto;
    border-color: rgb(63, 158, 202);
    background-color: rgb(130, 130, 182);
    opacity: 0.5;
}

#accountcreationheader{
    text-align: center;
    font-family: presstartfont;
    font-size: clamp(1rem, 4vw, 2rem);
    color: rgb(16, 112, 190);
    -webkit-text-stroke: 0.08rem black;
}

#accountSuccesssheader{
    text-align: center;
    font-family: presstartfont;
    font-size: 2rem;
    color: rgb(2, 255, 171);
    -webkit-text-stroke: 0.08rem black;
}

#username{
    text-align: center;
    font-family: presstartfont;
    width: 80%;
    max-width: 30rem;
    height: 1.5rem;
    font-size: clamp(0.5rem, 3vw, 1rem);
    border-color: rgb(52, 16, 255);
}

#password{
    text-align: center;
    font-family: presstartfont;
    width: 80%;
    max-width: 30rem;
    height: 1.5rem;
    font-size: clamp(0.5rem, 3vw, 1rem);
    border-color: rgb(255, 25, 140);
}

#password_confirm{
    text-align: center;
    font-family: presstartfont;
    width: 80%;
    max-width: 30rem;
    height: 1.5rem;
    font-size: clamp(0.5rem, 3vw, 1rem);
    border-color: rgb(140, 0, 255);
}

#register{
    text-align: center;
    font-family: presstartfont;
    width: 100%;
    max-width: 20rem;
    height: 3rem;
    font-size: 1.2rem;
    border-color: rgb(0, 0, 0);
    color:black;
    background-color: rgb(22, 255, 177);
    border-radius: 1.5rem;
    border-color: rgb(255, 255, 255);
}

#register:hover{
    background-color: rgb(58, 173, 240);
}

#aboutustitle{
    text-align: center;
    font-family: presstartfont;
    font-size: 2rem;
    color: rgb(231, 50, 156);
    -webkit-text-stroke: 0.08rem black;
}

#newsheader{
    text-align: center;
    font-family: presstartfont;
    font-size: 2rem;
    color: rgb(251, 255, 0);
    -webkit-text-stroke: 0.08rem black;
}

#theactualnewsheader{
    text-align: center;
    font-family: presstartfont;
    font-size: 1.2rem;
    color: rgb(0, 255, 106);
    -webkit-text-stroke: 0.08rem black;
}

#homeheader{
    text-align: center;
    font-family: presstartfont;
    font-size: 2rem;
    color: rgb(0, 204, 255);
    -webkit-text-stroke: 0.08rem black;
}

body{
    background-color: rgb(197, 237, 247);
}

#paragraph1{
    text-align: center;
    font-size: 1.15rem;
    font-family: cinzelregular;
    -webkit-text-stroke: 0.001rem rgb(255, 255, 255);
    max-width: 60rem;
    margin: auto;
}

#discordlink{
    text-align: center;
    font-size: 1.2rem;
    font-family: cinzelregular;
    -webkit-text-stroke: 0.001rem rgb(119, 0, 255);
    max-width: 60rem;
    margin: auto;
}

#link{
    text-align: center;
    font-size: 1.2rem;
    font-family: cinzelregular;
    color: rgb(53, 134, 117);
    max-width: 60rem;
    margin: auto;
}

#error{
    text-align: center;
    font-size: 1.5rem;
    font-family: cinzelbold;
    color:rgb(255, 0, 0);
    -webkit-text-stroke: 0.001rem rgb(0, 0, 0);
    max-width: 60rem;
    margin: auto;
    min-height: 2rem;
}

#ruleslist{
    min-height: 4rem;
    margin: auto;
}

#navigatorbutton{
    margin: auto;
    font-family: cinzelbold;
    color: rgb(48, 12, 82);
    text-align: center;
    min-height: 4rem;
    width: 20%;
    max-width: 20rem;
    text-align: center;
    font-size: clamp(0.5rem, 2vw, 2rem);
    background: rgb(224, 171, 245);
    border-color: rgb(182, 183, 255);
    border-radius: 1rem;
    margin: 2rem;
}

#navigatorbutton:hover {
    background: rgb(255, 105, 162);
    border-color: rgb(156, 81, 226);
    border-radius: 2rem;
}

.navigator{
    text-align: center;
    margin: auto;
    padding: 1.5rem;
    min-height: 5rem;
    max-width: 100rem;
    background-color: rgb(210, 210, 238);
}

.container {
    background-color: rgb(210, 210, 238);
    max-width: 100rem;
    margin: auto;
    padding: 1.5rem;
}